-- lua-logo.lua

RESOLUTION=512

p = PDF_new()

assert(PDF_open_file(p, "lua-logo.pdf"))

PDF_set_info(p, "Creator", "lua-logo.lua")
PDF_set_info(p, "Author", "Luiz Henrique de Figueiredo")
PDF_set_info(p, "Title", "Lua logo")

PDF_begin_page(p, RESOLUTION, RESOLUTION)

PDF_translate(p, RESOLUTION/2, RESOLUTION/2)
PDF_scale(p, RESOLUTION/2/sqrt(2), RESOLUTION/2/sqrt(2))

-- planet
PDF_setcolor(p, "both", "rgb", 0, 0, 0.5, 0)
PDF_circle(p, 0, 0, 1)
PDF_fill(p)

-- hole
r=1-sqrt(2)/2
PDF_setcolor(p, "both", "rgb", 1, 1, 1, 0)
PDF_circle(p, 1-2*r, 1-2*r, r)
PDF_fill(p)

-- moon
PDF_setcolor(p, "both", "rgb", 0, 0, 0.5, 0)
PDF_circle(p, 1, 1, r)
PDF_fill(p)

-- logo
font = PDF_findfont(p, "Helvetica", "host", 0)
PDF_setfont(p, font, 0.9)
x=PDF_stringwidth(p, "Lua", font, 0.9)
PDF_setcolor(p, "both", "rgb", 1, 1, 1, 0)
PDF_show_xy(p, "Lua", -x/2, -0.5)

-- orbit
PDF_setlinewidth(p, 0.03)
x=(1+r)*(PI/180*5)
PDF_setdash(p,x,x)
PDF_setcolor(p, "both", "gray", 0.5, 0, 0, 0)
PDF_arcn(p, 0, 0, 1+r, 32, 57)
PDF_stroke(p)

PDF_end_page(p)

PDF_close(p)
PDF_delete(p)
